## makedumpfile 1.6.7

=== Makefile ===
# makedumpfile

VERSION=1.6.7
DATE=16 Jan 2020

# Honour the environment variable CC
ifeq ($(strip $CC),)
CC	= gcc
endif

CFLAGS_BASE := $(CFLAGS) -g -O2 -Wall -D_FILE_OFFSET_BITS=64 \
		-D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
CFLAGS      := $(CFLAGS_BASE) -DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"'
CFLAGS_ARCH := $(CFLAGS_BASE)
# LDFLAGS = -L/usr/local/lib -I/usr/local/include

HOST_ARCH := $(shell uname -m)
# Use TARGET as the target architecture if specified.
# Defaults to uname -m
ifeq ($(strip($TARGET)),)
TARGET := $(HOST_ARCH)
endif

ARCH := $(shell echo ${TARGET}  | sed -e s/i.86/x86/ -e s/sun4u/sparc64/ \
			       -e s/arm.*/arm/ -e s/sa110/arm/ \
			       -e s/s390x/s390/ -e s/parisc64/parisc/ \
			       -e s/ppc64/powerpc64/ -e s/ppc/powerpc32/)

CROSS :=
ifneq ($(TARGET), $(HOST_ARCH))
CROSS := -U__$(HOST_ARCH)__
endif

CFLAGS += -D__$(ARCH)__ $(CROSS)
CFLAGS_ARCH += -D__$(ARCH)__ $(CROSS)

ifeq ($(ARCH), powerpc64)
CFLAGS += -m64
CFLAGS_ARCH += -m64
endif

ifeq ($(ARCH), powerpc32)
CFLAGS += -m32
CFLAGS_ARCH += -m32
endif

SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c
OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c
OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))

LIBS = -ldw -lbz2 -ldl -lelf -lz
ifneq ($(LINKTYPE), dynamic)
LIBS := -static $(LIBS)
endif

ifeq ($(USELZO), on)
LIBS := -llzo2 $(LIBS)
CFLAGS += -DUSELZO
endif

ifeq ($(USESNAPPY), on)
LIBS := -lsnappy $(LIBS)
CFLAGS += -DUSESNAPPY
endif

LIBS := -lpthread $(LIBS)

try-run = $(shell set -e;		\
	TMP=".$$$$.tmp";		\
	if ($(1)) >/dev/null 2>&1;	\
	then echo "$(2)";		\
	else echo "$(3)";		\
	fi;				\
	rm -f "$$TMP")

LINK_TEST_PROG="int clock_gettime(); int main(){ return clock_gettime(); }"
LIBS := $(LIBS) $(call try-run,\
	echo $(LINK_TEST_PROG) | $(CC) $(CFLAGS) -o "$$TMP" -x c -,,-lrt)

# elfutils-0.178 or later does not install libebl.a.
LINK_TEST_PROG="int main() { return 0; }"
LIBS := $(LIBS) $(call try-run,\
	echo $(LINK_TEST_PROG) | $(CC) -o "$$TMP" -x c - -lebl,-lebl,)

all: makedumpfile

$(OBJ_PART): $(SRC_PART)
	$(CC) $(CFLAGS) -c -o ./$@ $(VPATH)$(@:.o=.c)

$(OBJ_ARCH): $(SRC_ARCH)
	@mkdir -p $(@D)
	$(CC) $(CFLAGS_ARCH) -c -o ./$@ $(VPATH)$(@:.o=.c)

makedumpfile: $(SRC_BASE) $(OBJ_PART) $(OBJ_ARCH)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -rdynamic -o $@ $< $(LIBS)
	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
	grep -v "^.TH MAKEDUMPFILE 8" $(VPATH)makedumpfile.8 >> temp.8
	mv temp.8 makedumpfile.8
	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
	echo .TH MAKEDUMPFILE.CONF 5 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.5
	grep -v "^.TH MAKEDUMPFILE.CONF 5" $(VPATH)makedumpfile.conf.5 >> temp.5
	mv temp.5 makedumpfile.conf.5
	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz

eppic_makedumpfile.so: extension_eppic.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -rdynamic -o $@ extension_eppic.c -fPIC -leppic -ltinfo

clean:
	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz

install:
	install -m 755 -d ${DESTDIR}/usr/sbin ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8 ${DESTDIR}/etc
	install -m 755 -t ${DESTDIR}/usr/sbin makedumpfile $(VPATH)makedumpfile-R.pl
	install -m 644 -t ${DESTDIR}/usr/share/man/man8 makedumpfile.8.gz
	install -m 644 -t ${DESTDIR}/usr/share/man/man5 makedumpfile.conf.5.gz
	install -m 644 -D $(VPATH)makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample
	mkdir -p ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts
	install -m 644 -t ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts/ $(VPATH)eppic_scripts/*

=== debian/changelog ===
makedumpfile (1:1.6.7-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Aug 2020 10:53:22 +0200

makedumpfile (1:1.6.7-4) unstable; urgency=medium

  [ Guilherme G. Piccoli ]
  * kdump-tools: Remove KDUMP_SYSCTL for good
  * kdump-tools: Add sysctl override mechanism
  * kdump-tools: Cope with the lack of initramfs-tools OPTION=VAR feature in Debian

  [ Thadeu Lima de Souza Cascardo ]
  * Add proper dependencies to DEP8 tests

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 04 Aug 2020 17:21:46 -0300

makedumpfile (1:1.6.7-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control/tests: sleep while waiting for systemd service.
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.
    - d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 13:49:38 +0200

makedumpfile (1:1.6.7-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 1:1.6.4-1, 1:1.6.3-1, 1:1.6.2-
    0.1, 1:1.6.1-1, 1:1.6.0-1, 1:1.5.9-6, 1:1.5.9-1, 1.5.5-2.
  * Fix day-of-week for changelog entry 1:1.5.9-6.

  [ Thadeu Lima de Souza Cascardo ]
  * Fix build with GCC 10 (Closes: #957518)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Tue, 28 Jul 2020 21:40:32 -0300

makedumpfile (1:1.6.7-2) unstable; urgency=medium

  * Remove upstart support.
  * Switch to debhelper-compat 12.

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Fri, 17 Apr 2020 14:12:04 -0300

makedumpfile (1:1.6.7-1ubuntu3) groovy; urgency=medium

  * d/p/0003-align_PMD_SECTION_MASK_with_PHYS_MASK.patch (LP: #1869465)
    - Fixing arm64 systems makedumpfile looping forever exhausting
      all memory when filtering kernel core.

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Thu, 04 Jun 2020 14:36:01 +0100

makedumpfile (1:1.6.7-1ubuntu2) focal; urgency=low

  * debian/control/tests: sleep while waiting for systemd service.
    Also, exit in case the service is not successfully started, and dump
    status output for debugging.
    This is necessary because now that the initrd is not generated during
    postinst, it will be generated when the service is first started, and that
    may delay it for a few seconds.

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 17 Mar 2020 16:40:38 -0300

makedumpfile (1:1.6.7-1ubuntu1) focal; urgency=low

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
    - Add a systemd-resolved service dependency in order kdump-tools is able
      to resolve DNS when in kdump boot.

  [ Dan Streetman ]
  * FeatureFreeze exception note:
    I checked upstream log from 1.6.6-1.6.7 and confirmed this is bugfix-only

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 13 Mar 2020 10:25:32 -0400

makedumpfile (1:1.6.7-1) unstable; urgency=medium

  * Update to new upstream version 1.6.7.
  * Skip initrd generation during postinst. (Closes: #856594)

 -- Thadeu Lima de Souza Cascardo <cascardo@debian.org>  Mon, 02 Mar 2020 04:48:06 -0300

makedumpfile (1:1.6.6-4ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:06:59 +0000

makedumpfile (1:1.6.6-4ubuntu2) focal; urgency=medium

  * x86_64: Fix an error due to makedumpfile being out-of-sync with recent
    kernels. To achieve that, add the following patch: "Increase
    SECTION_MAP_LAST_BIT to 4". (LP: #1857616)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Fri, 03 Jan 2020 16:57:00 -0300

makedumpfile (1:1.6.6-4ubuntu1) focal; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Use reset_devices as a cmdline parameter. (LP: #1800566)
  * Use kdump-config reload after cpu or memory hotplug. (LP: #1828596)

  [ Guilherme G. Piccoli ]
  * Add a systemd-resolved service dependency in order kdump-tools is able
    to resolve DNS when in kdump boot. (LP: #1856323)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Dec 2019 14:38:51 -0300

makedumpfile (1:1.6.6-2ubuntu1) eoan; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Merge from Debian unstable.  Remaining changes:
    - Bump amd64 crashkernel from 384M-:128M to 512M-:192M.
  * Add kdump retry/delay mechanism when dumping over network (LP: #1681909)
  * Allow proper reload of kdump after multiple hotplug events. (LP: #1828596)

  [ Connor Kuehl ]
  * Let the kernel decide the crashkernel offset for ppc64el (LP: #1741860)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 06 Aug 2019 12:18:15 -0300

makedumpfile (1:1.6.5-1ubuntu3) eoan; urgency=medium

  * debian/kdump-config.in:
    - Add kdump retry/delay mechanism when dumping over network.
      (LP: #1681909)

 -- gpiccoli@canonical.com (Guilherme G. Piccoli)  Thu, 04 Jul 2019 15:20:53 -0300

makedumpfile (1:1.6.5-1ubuntu2) eoan; urgency=medium

  [ Thadeu Lima de Souza Cascardo ]
  * Use maxcpus instead of nr_cpus on ppc64el. (LP: #1828597)
  * Reload kdump when CPU is brought online. (LP: #1828596)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 14 Jun 2019 10:58:40 -0300

=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Louis Bouchard <louis.bouchard@ubuntu.com>
Uploaders: dann frazier <dannf@debian.org>,
 Thadeu Lima de Souza Cascardo <cascardo@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 12),
 libelf-dev,
 libz-dev,
 libdw-dev (>= 0.141-2ubuntu1),
 libbz2-dev,
 liblzo2-dev,
 po-debconf
Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
Rules-Requires-Root: no

Package: makedumpfile
Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).

Package: kdump-tools
Architecture: i386 amd64 powerpc ia64 x32 arm64 armel armhf ppc64el s390x
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, makedumpfile,
         debconf, bsdmainutils, lsb-base (>= 3.0-6), file, ucf, linux-base
Recommends: initramfs-tools-core
Description: scripts and tools for automating kdump (Linux crash dumps)
 kdump-tools provides an init script and a configuration script for
 automating the use of kdump.  It uses the makedumpfile utility to
 reduce the size of the /proc/vmcore file based on user preferences.
 .
 After installing, please see /usr/share/doc/kdump-tools/README.Debian
 for information on enabling and configuring kdump.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Depends="kexec-tools (>= 1:2.0.10-2)"
else
	SUBSTVARS = -Vdist:Depends="kexec-tools"
endif

KDUMP_CMDLINE_APPEND = reset_devices systemd.unit=kdump-tools-dump.service
ifeq ($(DEB_HOST_ARCH),arm64)
	KDUMP_CMDLINE_APPEND += nr_cpus=1
else ifeq ($(DEB_HOST_ARCH),ppc64el)
	KDUMP_CMDLINE_APPEND += maxcpus=1 irqpoll noirqdistrib nousb
else
	KDUMP_CMDLINE_APPEND += nr_cpus=1 irqpoll nousb ata_piix.prefer_ms_hyperv=0
endif

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_auto_build:
	dh_auto_build -- LINKTYPE=dynamic USELZO=on

kdump_cmdline_insert = sed "s/@KDUMP_CMDLINE_APPEND@/$(KDUMP_CMDLINE_APPEND)/" < $< > $@
debian/kdump-config: debian/kdump-config.in
	$(kdump_cmdline_insert)
debian/kdump-tools.conf: debian/kdump-tools.conf.in
	$(kdump_cmdline_insert)
debian/kdump-tools.5: debian/kdump-tools.5.in
	$(kdump_cmdline_insert)

override_dh_install: debian/kdump-config debian/kdump-tools.conf debian/kdump-tools.5
	dh_install
	dh_installdirs
	install -D -m 755 debian/kernel-postinst-generate-initrd debian/kdump-tools/etc/kernel/postinst.d/kdump-tools
	install -D -m 755 debian/kernel-postrm-delete-initrd debian/kdump-tools/etc/kernel/postrm.d/kdump-tools
	install -D -m 755 debian/initramfs.hook debian/kdump-tools/usr/share/initramfs-tools/hooks/kdump-tools
	install -D -m 755 debian/initramfs.local-bottom \
debian/kdump-tools/usr/share/initramfs-tools/scripts/local-bottom/kdump-sysctl
	[ ! -f debian/kdump-tools.grub.$(DEB_HOST_ARCH) ] || \
		install -D -m 644 debian/kdump-tools.grub.$(DEB_HOST_ARCH) debian/kdump-tools/etc/default/grub.d/kdump-tools.cfg
	[ -f debian/kdump-tools.grub.$(DEB_HOST_ARCH) ] || \
		install -D -m 644 debian/kdump-tools.grub.default debian/kdump-tools/etc/default/grub.d/kdump-tools.cfg

override_dh_installdeb:
	rm -f debian/kdump-tools.maintscript
	[ ! -f debian/kdump-tools.maintscript.$(DEB_HOST_ARCH) ] || \
		ln -s kdump-tools.maintscript.$(DEB_HOST_ARCH) \
		debian/kdump-tools.maintscript
	[ -h debian/kdump-tools.maintscript ] || \
		ln -s kdump-tools.maintscript.default \
		debian/kdump-tools.maintscript
	dh_installdeb

override_dh_auto_clean:
	rm -f debian/kdump-tools.maintscript
	rm -f debian/kdump-config debian/kdump-tools.conf debian/kdump-tools.5
	dh_auto_clean

=== debian/tests/control ===
Tests: crash
Restrictions: breaks-testbed, needs-root, isolation-machine, needs-reboot
Depends: @, file, initramfs-tools-core

## makedumpfile 1.6.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.6.7
-DATE=16 Jan 2020
+VERSION=1.6.8
+DATE=16 Nov 2020
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -52,7 +52,7 @@
 
 LIBS = -ldw -lbz2 -ldl -lelf -lz
 ifneq ($(LINKTYPE), dynamic)
-LIBS := -static $(LIBS)
+LIBS := -static $(LIBS) -llzma
 endif
 
 ifeq ($(USELZO), on)
@@ -62,6 +62,9 @@
 
 ifeq ($(USESNAPPY), on)
 LIBS := -lsnappy $(LIBS)
+ifneq ($(LINKTYPE), dynamic)
+LIBS := $(LIBS) -lstdc++
+endif
 CFLAGS += -DUSESNAPPY
 endif

=== debian/changelog ===
makedumpfile (1:1.6.8-4) unstable; urgency=medium

  [ Ioanna Alifieraki ]
  * Fix failure of dmesg.<timestamp> creation on 5.10+ kernels.
    (Closes: #985896) (LP: #1921403). 
  * Fix makedumpfile failure on arm64 with 5.4 kernels.
    (Closes: #986594) (LP: #1879214)

 -- dann frazier <dannf@debian.org>  Wed, 07 Apr 2021 16:32:38 -0600

makedumpfile (1:1.6.8-3) unstable; urgency=medium

  * Drop kdump-tools, which has been split into its own source package.
  * Change maintainer to Debian Kdump team. Thanks to Louis Bouchard for
    all of his years of work maintaining this package!

 -- dann frazier <dannf@debian.org>  Mon, 18 Jan 2021 07:50:02 -0700

makedumpfile (1:1.6.8-2) unstable; urgency=medium

  * systemd: Use journal for StandardOutput instead of syslog, which
    is deprecated. Thanks to Bryan Quigley. (Closes: #969013)

 -- dann frazier <dannf@debian.org>  Sun, 27 Dec 2020 08:44:02 -0700

makedumpfile (1:1.6.8-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Add Homepage field pointing to GitHub page
  * kdump-tools.default: Remove trailing spaces, replace tabs by spaces, and
    remove duplicate settings (Closes: #856935)
  * Fix cleanup if mkinitramfs fails on kernel update
  * Fix all shellcheck issues in Shell scripts
  * Run shellcheck on package build and autopkgtest
  * Add support for FTP uploads (Closes: #856957)
  * Replace bsdmainutils by bsdextrautils (Closes: #964516)
  * Use POSIX shell instead of bash
  * Bump Standards-Version to 4.5.1

  [ dann frazier ]
  * Support dumping kernel via both SSH and NFS
  * Update to new upstream version 1.6.8.

 -- dann frazier <dannf@debian.org>  Tue, 01 Dec 2020 08:34:43 -0700

=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Debian Kdump <team+kdump@tracker.debian.org>
Uploaders: dann frazier <dannf@debian.org>,
           Thadeu Lima de Souza Cascardo <cascardo@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12),
               libbz2-dev,
               libdw-dev (>= 0.141-2ubuntu1),
               libelf-dev,
               liblzo2-dev,
               libz-dev
Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
Homepage: https://github.com/makedumpfile/makedumpfile
Rules-Requires-Root: no

Package: makedumpfile
Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el s390x x32
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LINKTYPE=dynamic USELZO=on

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

## makedumpfile 1.6.9

=== debian/changelog ===
makedumpfile (1.6.9-1.lnd.3) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:48:37 +0800

makedumpfile (1.6.9-1.lnd.2) unstable; urgency=medium

  * Fix the problem that cannot be used under VMEMMAP
  * Fix _PAGE_HUGE macro definition

 -- Youling Tang <tangyouling@loongson.cn>  Mon, 26 Jul 2021 17:11:51 +0800

makedumpfile (1.6.9-1.lnd.1) unstable; urgency=medium

  * Sync upstream code to v1.6.9
  * Add loongarch64 support

 -- Youling Tang <tangyouling@loongson.cn>  Sat, 22 May 2021 17:11:51 +0800

makedumpfile (1.6.7-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Youling Tang <tangyouling@loongson.cn>  Fri, 22 Jan 2021 09:11:51 +0800

=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Youling Tang <tangyouling@loongson.cn>
Build-Depends: debhelper (>= 11), libelf-dev, libz-dev, libdw-dev, libbz2-dev, liblzo2-dev
Standards-Version: 4.1.3
#Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
#Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git

Package: makedumpfile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LINKTYPE=dynamic

## makedumpfile 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.6.8
-DATE=16 Nov 2020
+VERSION=1.7.0
+DATE=8 Nov 2021
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -45,9 +45,9 @@
 endif
 
 SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
-SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c
+SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c printk.c
 OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
-SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c
+SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c arch/mips64.c
 OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))
 
 LIBS = -ldw -lbz2 -ldl -lelf -lz
@@ -68,7 +68,21 @@
 CFLAGS += -DUSESNAPPY
 endif
 
-LIBS := -lpthread $(LIBS)
+ifeq ($(USEZSTD), on)
+LIBS := -lzstd $(LIBS)
+CFLAGS += -DUSEZSTD
+endif
+
+ifeq ($(DEBUG), on)
+# Requires libasan
+CFLAGS += -fsanitize=address
+# Requires libubsan
+CFLAGS += -fsanitize=undefined
+# Warning: extremely slow
+#CFLAGS += -fanalyzer
+endif
+
+LIBS := $(LIBS) -lpthread
 
 try-run = $(shell set -e;		\
 	TMP=".$$$$.tmp";		\

=== debian/changelog ===
makedumpfile (1:1.7.0-1ubuntu0.1) jammy; urgency=medium

  * d/p/lp2038248-fix-wrong-exclusion-of-slab-pages-on-Linux-6.2.patch:
    When using the "makedumpfile -d 8" command,
    exclude user data rather than other slab pages (LP: #2038248)

 -- Chengen Du <chengen.du@canonical.com>  Tue, 10 Oct 2023 13:52:06 +0000

makedumpfile (1:1.7.0-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:23:20 +0100

makedumpfile (1:1.7.0-1) unstable; urgency=medium

  * Update to new upstream version 1.7.0.
  * Enable zstd support (LP: #1949395).

 -- dann frazier <dannf@debian.org>  Mon, 08 Nov 2021 15:08:22 -0700

makedumpfile (1:1.6.9-1) experimental; urgency=medium

  * Update to new upstream version 1.6.9.

 -- dann frazier <dannf@debian.org>  Thu, 08 Jul 2021 07:29:19 -0600

=== debian/control ===
Source: makedumpfile
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kdump <team+kdump@tracker.debian.org>
Uploaders: dann frazier <dannf@debian.org>,
           Thadeu Lima de Souza Cascardo <cascardo@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12),
               libbz2-dev,
               libdw-dev (>= 0.141-2ubuntu1),
               libelf-dev,
               liblzo2-dev,
               libz-dev,
	       libzstd-dev,
Vcs-Git: https://salsa.debian.org/debian/makedumpfile.git
Vcs-Browser: https://salsa.debian.org/debian/makedumpfile
Homepage: https://github.com/makedumpfile/makedumpfile
Rules-Requires-Root: no

Package: makedumpfile
Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el s390x x32
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: crash, kexec-tools
Replaces: kdump-tools (<< 1.3.4-1~)
Description: VMcore extraction tool
 This program is used to extract a subset of the memory available either
 via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory
 images without extra unneeded information (zero pages, userspace programs,
 etc).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LINKTYPE=dynamic USELZO=on USEZSTD=on

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

## makedumpfile 1.7.1

=== debian/changelog ===
makedumpfile (1:1.7.1-1) unstable; urgency=medium

  * Update to new upstream version 1.7.1.
  * Bump debhelper-compat to 13:
    - Add a debian/not-installed file.
  * Fix FTCBFS for arm64: Pass a suitable TARGET= to make. Thanks to
    Helmut Grohne (Closes: #989932).

 -- dann frazier <dannf@debian.org>  Fri, 22 Apr 2022 15:35:11 -0600

## makedumpfile 1.7.2

=== debian/changelog ===
makedumpfile (1:1.7.2-1ubuntu0.1) lunar; urgency=medium

  * d/p/lp2038248-fix-wrong-exclusion-of-slab-pages-on-Linux-6.2.patch:
    When using the "makedumpfile -d 8" command,
    exclude user data rather than other slab pages (LP: #2038248)

 -- Chengen Du <chengen.du@canonical.com>  Tue, 03 Oct 2023 06:26:06 +0000

makedumpfile (1:1.7.2-1) unstable; urgency=medium

  * Update to new upstream version 1:1.7.2.

 -- dann frazier <dannf@debian.org>  Wed, 26 Oct 2022 11:08:46 -0600

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: dann frazier <dannf@debian.org>,
            Thadeu Lima de Souza Cascardo <cascardo@debian.org>
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libbz2-dev,
                libdw-dev (>= 0.141-2ubuntu1),
                libelf-dev,

## makedumpfile 1.7.3

=== debian/changelog ===
makedumpfile (1:1.7.3-1) unstable; urgency=medium

  * Update to new upstream version 1.7.3.

 -- dann frazier <dannf@debian.org>  Thu, 28 Sep 2023 14:19:41 -0600

## makedumpfile 1.7.4

=== debian/changelog ===
makedumpfile (1:1.7.4-1) unstable; urgency=medium

  * Update to new upstream version 1.7.4.
  * Build for riscv64.

 -- dann frazier <dannf@debian.org>  Fri, 10 Nov 2023 00:03:14 +0200

## makedumpfile 1.7.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.7.0
-DATE=8 Nov 2021
+VERSION=1.7.5
+DATE=12 Apr 2024
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -45,9 +45,9 @@
 endif
 
 SRC_BASE = makedumpfile.c makedumpfile.h diskdump_mod.h sadump_mod.h sadump_info.h
-SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c printk.c
+SRC_PART = print_info.c dwarf_info.c elf_info.c erase_info.c sadump_info.c cache.c tools.c printk.c detect_cycle.c
 OBJ_PART=$(patsubst %.c,%.o,$(SRC_PART))
-SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c arch/mips64.c
+SRC_ARCH = arch/arm.c arch/arm64.c arch/x86.c arch/x86_64.c arch/ia64.c arch/ppc64.c arch/s390x.c arch/ppc.c arch/sparc64.c arch/mips64.c arch/loongarch64.c arch/riscv64.c
 OBJ_ARCH=$(patsubst %.c,%.o,$(SRC_ARCH))
 
 LIBS = -ldw -lbz2 -ldl -lelf -lz
@@ -112,26 +112,24 @@
 
 makedumpfile: $(SRC_BASE) $(OBJ_PART) $(OBJ_ARCH)
 	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ_PART) $(OBJ_ARCH) -rdynamic -o $@ $< $(LIBS)
-	echo .TH MAKEDUMPFILE 8 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.8
-	grep -v "^.TH MAKEDUMPFILE 8" $(VPATH)makedumpfile.8 >> temp.8
-	mv temp.8 makedumpfile.8
-	gzip -c ./makedumpfile.8 > ./makedumpfile.8.gz
-	echo .TH MAKEDUMPFILE.CONF 5 \"$(DATE)\" \"makedumpfile v$(VERSION)\" \"Linux System Administrator\'s Manual\" > temp.5
-	grep -v "^.TH MAKEDUMPFILE.CONF 5" $(VPATH)makedumpfile.conf.5 >> temp.5
-	mv temp.5 makedumpfile.conf.5
-	gzip -c ./makedumpfile.conf.5 > ./makedumpfile.conf.5.gz
+	@sed -e "s/@DATE@/$(DATE)/" \
+	     -e "s/@VERSION@/$(VERSION)/" \
+	     $(VPATH)makedumpfile.8.in > $(VPATH)makedumpfile.8
+	@sed -e "s/@DATE@/$(DATE)/" \
+	     -e "s/@VERSION@/$(VERSION)/" \
+	     $(VPATH)makedumpfile.conf.5.in > $(VPATH)makedumpfile.conf.5
 
 eppic_makedumpfile.so: extension_eppic.c
 	$(CC) $(CFLAGS) $(LDFLAGS) -shared -rdynamic -o $@ extension_eppic.c -fPIC -leppic -ltinfo
 
 clean:
-	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8.gz makedumpfile.conf.5.gz
+	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8 makedumpfile.conf.5
 
 install:
-	install -m 755 -d ${DESTDIR}/usr/sbin ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8 ${DESTDIR}/etc
+	install -m 755 -d ${DESTDIR}/usr/sbin ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8
 	install -m 755 -t ${DESTDIR}/usr/sbin makedumpfile $(VPATH)makedumpfile-R.pl
-	install -m 644 -t ${DESTDIR}/usr/share/man/man8 makedumpfile.8.gz
-	install -m 644 -t ${DESTDIR}/usr/share/man/man5 makedumpfile.conf.5.gz
-	install -m 644 -D $(VPATH)makedumpfile.conf ${DESTDIR}/etc/makedumpfile.conf.sample
-	mkdir -p ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts
-	install -m 644 -t ${DESTDIR}/usr/share/makedumpfile-${VERSION}/eppic_scripts/ $(VPATH)eppic_scripts/*
+	install -m 644 -t ${DESTDIR}/usr/share/man/man8 makedumpfile.8
+	install -m 644 -t ${DESTDIR}/usr/share/man/man5 makedumpfile.conf.5
+	mkdir -p ${DESTDIR}/usr/share/makedumpfile/eppic_scripts
+	install -m 644 -D $(VPATH)makedumpfile.conf ${DESTDIR}/usr/share/makedumpfile/makedumpfile.conf.sample
+	install -m 644 -t ${DESTDIR}/usr/share/makedumpfile/eppic_scripts/ $(VPATH)eppic_scripts/*

=== debian/changelog ===
makedumpfile (1:1.7.5-3deepin1) unstable; urgency=medium

  * Add loong64 support

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 30 Jul 2024 11:05:07 +0800

makedumpfile (1:1.7.5-3) unstable; urgency=medium

  * Use installed makedumpfile in autopkgtest.

 -- dann frazier <dannf@debian.org>  Mon, 22 Jul 2024 21:08:21 -0500

makedumpfile (1:1.7.5-2) unstable; urgency=medium

  * Fix regression that broke zstd support starting in 1:1.7.1-1.
    Thank you to Heitor Alves de Siqueira of Canonical.
  * Add autopkgtest to verify compression configuration.

 -- dann frazier <dannf@debian.org>  Tue, 14 May 2024 10:24:50 +0200

makedumpfile (1:1.7.5-1) unstable; urgency=medium

  * Update to new upstream version 1.7.5.

 -- dann frazier <dannf@debian.org>  Fri, 12 Apr 2024 07:57:10 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: makedumpfile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kdump <team+kdump@tracker.debian.org>
+Maintainer: Debian Kdump <team+kdump@tracker.debian.org>
 Uploaders: dann frazier <dannf@debian.org>,
            Thadeu Lima de Souza Cascardo <cascardo@debian.org>
 Standards-Version: 4.5.1
@@ -19,7 +18,7 @@
 Rules-Requires-Root: no
 
 Package: makedumpfile
-Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el s390x x32
+Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el riscv64 loong64 s390x x32
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

MAKE_SETTINGS = LINKTYPE=dynamic USELZO=on USEZSTD=on
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
MAKE_SETTINGS += TARGET=$(DEB_HOST_ARCH)
endif

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SETTINGS)

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

## makedumpfile 1.7.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.7.5
-DATE=12 Apr 2024
+VERSION=1.7.6
+DATE=23 Oct 2024
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)
@@ -101,6 +101,8 @@
 LIBS := $(LIBS) $(call try-run,\
 	echo $(LINK_TEST_PROG) | $(CC) -o "$$TMP" -x c - -lebl,-lebl,)
 
+SBINDIR ?= /usr/sbin
+
 all: makedumpfile
 
 $(OBJ_PART): $(SRC_PART)
@@ -126,8 +128,8 @@
 	rm -f $(OBJ) $(OBJ_PART) $(OBJ_ARCH) makedumpfile makedumpfile.8 makedumpfile.conf.5
 
 install:
-	install -m 755 -d ${DESTDIR}/usr/sbin ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8
-	install -m 755 -t ${DESTDIR}/usr/sbin makedumpfile $(VPATH)makedumpfile-R.pl
+	install -m 755 -d ${DESTDIR}/${SBINDIR} ${DESTDIR}/usr/share/man/man5 ${DESTDIR}/usr/share/man/man8
+	install -m 755 -t ${DESTDIR}/${SBINDIR} makedumpfile $(VPATH)makedumpfile-R.pl
 	install -m 644 -t ${DESTDIR}/usr/share/man/man8 makedumpfile.8
 	install -m 644 -t ${DESTDIR}/usr/share/man/man5 makedumpfile.conf.5
 	mkdir -p ${DESTDIR}/usr/share/makedumpfile/eppic_scripts

=== debian/changelog ===
makedumpfile (1:1.7.6-1) unstable; urgency=medium

  * Update to new upstream version 1.7.6.

 -- dann frazier <dannf@debian.org>  Thu, 24 Oct 2024 12:42:41 -0600

## makedumpfile 1.7.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # makedumpfile
 
-VERSION=1.7.6
-DATE=23 Oct 2024
+VERSION=1.7.7
+DATE=21 Apr 2025
 
 # Honour the environment variable CC
 ifeq ($(strip $CC),)

=== debian/changelog ===
makedumpfile (1:1.7.7-1) unstable; urgency=medium

  * Update to new upstream version 1.7.7.
    - Fixes FTBFS with GCC 15 (Closes: #1097359).

 -- dann frazier <dannf@debian.org>  Sun, 05 Oct 2025 10:15:27 -0600

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Rules-Requires-Root: no
 
 Package: makedumpfile
-Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el riscv64 loong64 s390x x32
+Architecture: amd64 arm64 armel armhf i386 ia64 powerpc ppc64el riscv64 s390x x32
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: crash, kexec-tools
 Replaces: kdump-tools (<< 1.3.4-1~)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

MAKE_SETTINGS = LINKTYPE=dynamic USELZO=on USEZSTD=on SBINDIR=/usr/bin
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
MAKE_SETTINGS += TARGET=$(DEB_HOST_ARCH)
endif

override_dh_auto_build:
	dh_auto_build -- $(MAKE_SETTINGS)

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp -- $(MAKE_SETTINGS)

=== debian/tests/control ===
Test-Command: ./debian/tests/sanity.py -v
Restrictions:
 allow-stderr,
 superficial,
Depends:
 @,
 python3,
